
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.CgKylwEntity;
import org.sky.scientific.pojo.vo.CgKylwVO;
import java.util.Objects;

/**
 * 科研成果-科研论文 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class CgKylwWrapper extends BaseEntityWrapper<CgKylwEntity, CgKylwVO> {

	public static CgKylwWrapper build() {
		return new CgKylwWrapper();
 	}

	@Override
	public CgKylwVO entityVO(CgKylwEntity cgKylw) {
		CgKylwVO cgKylwVO = Objects.requireNonNull(BeanUtil.copyProperties(cgKylw, CgKylwVO.class));

		//User createUser = UserCache.getUser(cgKylw.getCreateUser());
		//User updateUser = UserCache.getUser(cgKylw.getUpdateUser());
		//cgKylwVO.setCreateUserName(createUser.getName());
		//cgKylwVO.setUpdateUserName(updateUser.getName());

		return cgKylwVO;
	}


}
